base: Fix build issues on trusty and jessie.

The GCC/libstdc++ versions used on trusty and jessie are missing
std::is_trivially_copyable. Include these GLIBCXX versions in the
OLD_EXPERIMENTAL_GLIBCXX fallback to allow chromium to be built
with the jessie sysroot or without a sysroot on trusty.

BUG=555754

Review-Url: https://codereview.chromium.org/2600353002
Cr-Commit-Position: refs/heads/master@{#440971}
diff --git a/base/template_util.h b/base/template_util.h
index 0dc6c95..80a24d1 100644
--- a/base/template_util.h
+++ b/base/template_util.h
@@ -23,11 +23,14 @@
 #define CR_USE_FALLBACKS_FOR_OLD_GLIBCXX
 #endif
 
-// Some chromeos bots are using experimental 5.0 for some reason
-// which has partial support for type_traits, but misses a smaller subset
-// while removing some of the older non-standard stuff.
+// Some versions of libstdc++ have partial support for type_traits, but misses
+// a smaller subset while removing some of the older non-standard stuff.
+#define CR_GLIBCXX_4_8_4 20141219
+#define CR_GLIBCXX_4_9_2 20150426
 #define CR_GLIBCXX_5_0_0 20150123
-#if defined(__GLIBCXX__) && (__GLIBCXX__ == CR_GLIBCXX_5_0_0)
+#if defined(__GLIBCXX__) &&                                                \
+    (__GLIBCXX__ == CR_GLIBCXX_4_8_4 || __GLIBCXX__ == CR_GLIBCXX_4_9_2 || \
+     __GLIBCXX__ == CR_GLIBCXX_5_0_0)
 #define CR_USE_FALLBACKS_FOR_OLD_EXPERIMENTAL_GLIBCXX
 #endif